ANY(3Cg)

NAME
any - returns true if a boolean scalar or any component of a boolean vector is true.

SYNOPSIS
  bool any(bool a);
  bool any(bool1 a);
  bool any(bool2 a);
  bool any(bool3 a);
  bool any(bool4 a);

PARAMETERS

a   Boolean vector or scalar of which to determine if any component is true.

DESCRIPTION
Returns true if a boolean scalar or any component of a boolean vector is true.

REFERENCE IMPLEMENTATION
any for a bool4 vector could be implemented like this.

  bool any(bool4 a)
  {
    return a.x || a.y || a.z || a.w;
  }

PROFILE SUPPORT
any is supported in all profiles.

Support in the fp20 is limited.

SEE ALSO
all